Get an order
curl --request GET \
--url https://api.brandgate.dev/v1/orders/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brandgate.dev/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.brandgate.dev/v1/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.brandgate.dev/v1/orders/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "order",
"number": "<string>",
"status": "draft",
"order_date": "<string>",
"due_date": "<string>",
"currency": "<string>",
"total": "<string>",
"vat": "<string>",
"total_excl_vat": "<string>",
"discount_amount": "<string>",
"po_reference": "<string>",
"notes": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"ship_to": {},
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"unit_price": "<string>",
"vat_rate": "<string>",
"line_total": "<string>"
}
],
"external_reference": {
"number": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"note": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}orders
Get an order
One order with its lines and any ERP acknowledgement.
Requires the orders:read scope.
GET
/
v1
/
orders
/
{id}
Get an order
curl --request GET \
--url https://api.brandgate.dev/v1/orders/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brandgate.dev/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.brandgate.dev/v1/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.brandgate.dev/v1/orders/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "order",
"number": "<string>",
"status": "draft",
"order_date": "<string>",
"due_date": "<string>",
"currency": "<string>",
"total": "<string>",
"vat": "<string>",
"total_excl_vat": "<string>",
"discount_amount": "<string>",
"po_reference": "<string>",
"notes": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"ship_to": {},
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"unit_price": "<string>",
"vat_rate": "<string>",
"line_total": "<string>"
}
],
"external_reference": {
"number": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"note": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
apiKeyoauth2
An organization API key (bg_live_…), created in BrandGate under Settings → Developers.
Path Parameters
Response
Success.
Maximum string length:
100Available options:
draft, pending_payment, processing, shipped, delivered, cancelled Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Maximum string length:
3Pattern:
^-?\d{1,15}(\.\d{1,6})?$Pattern:
^-?\d{1,15}(\.\d{1,6})?$Pattern:
^-?\d{1,15}(\.\d{1,6})?$Pattern:
^-?\d{1,15}(\.\d{1,6})?$Maximum string length:
200Maximum string length:
4000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes